<?php echo $header; ?>
<div class="container" style="margin:auto;padding-bottom:10px;">
	<ul class="breadcrumb">
		<?php foreach ($breadcrumbs as $breadcrumb) { ?>
			<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
		<?php } ?>
	</ul>
	<div class="row"><?php echo $column_left; ?>
		<?php if ($column_left && $column_right) { ?>
			<?php $class = 'col-sm-6'; ?>
			<?php } elseif ($column_left || $column_right) { ?>
			<?php $class = 'col-sm-9'; ?>
			<?php } else { ?>
			<?php $class = 'col-sm-12'; ?>
		<?php } ?>
			<div id="content" class="<?php echo $class; ?>">
				<?php echo $content_top; ?>
				
				<style>
				#tbigrloaderpanel {
					display: block;
					position: fixed;
					top:calc(100% / 2);
					left:calc(100% / 2 - 200px);
					background: white;
					z-index:999;
					border: 2px solid #f3f3f3;
					width: 400px;
					height: 90px;
				}

				#tbigrloader {
					position: absolute; 
					top:10px;
					left:10px;
					border: 16px solid #f3f3f3;
					border-radius: 50%;
					border-top: 16px solid #f07524;
					width: 70px;
					height: 70px;
					-webkit-animation: spin 2s linear infinite; /* Safari */
					animation: spin 2s linear infinite;
				}

				#tbigrloadertext {
					position: absolute; 
					top: 0px;
					left: 90px;
					padding:10px;
					width: 100% - 90px;
					font-size: 12px;
					font-weight: bold;
					text-align: center;
					color: #f07524;
				}

				#tbigrloaderimg {
					position: absolute; 
					top:45px;
					width: 100%;
					text-align: center;
				}

				/* Safari */
				@-webkit-keyframes spin {
					0% { -webkit-transform: rotate(0deg); }
					100% { -webkit-transform: rotate(360deg); }
				}

				@keyframes spin {
					0% { transform: rotate(0deg); }
					100% { transform: rotate(360deg); }
				}
				</style>
				<div id="tbigrloaderpanel">
					<div id="tbigrloader"></div>
					<div id="tbigrloadertext"><?php echo $tbi_pause_txt; ?></div>
					<div id="tbigrloaderimg"><img src="<?php echo $tbigrlogo; ?>" alt="TBI Pay" /></div>
				</div>				
				<?php 
				if ($type == 'IRIS'){
					if (($tbigr_encrypt != '') && ($send_redy == "Yes")){
						if ($tbigr_envurl != ''){
							$curl_application = curl_init();
								curl_setopt_array($curl_application, array(
								CURLOPT_URL => $tbigr_envurl . '/' . $tbigr_iris_key,
								CURLOPT_RETURNTRANSFER => true,
								CURLOPT_ENCODING => '',
								CURLOPT_MAXREDIRS => 4,
								CURLOPT_TIMEOUT => 0,
								CURLOPT_FOLLOWLOCATION => true,
								CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
								CURLOPT_CUSTOMREQUEST => 'POST',
								CURLOPT_POSTFIELDS => $tbigr_encrypt,
								CURLOPT_HTTPHEADER => array(
									'Content-Type: application/json'
								),
							));
							$response_application = curl_exec($curl_application);
							curl_close($curl_application);
							$tbigriris_result = json_decode($response_application);
							if (!empty($tbigriris_result->paymentLink)){
								$tbigriris_url = $tbigriris_result->paymentLink;
								echo '<script>';
								echo 'window.location.href = "' . $tbigriris_url . '"';
								echo '</script>';
								//var_dump($tbigr_encrypt);
								//var_dump($tbigr_result);
								//die;
							}
						}
					}else{
						echo $text_problem;
					}
				}else{
					if (($tbigr_encrypt != '') && ($send_redy == "Yes")){
						if ($tbigr_envurl != ''){
							$curl_token = curl_init();
							curl_setopt_array($curl_token, array(
								CURLOPT_URL 			=> $tbigr_envurl . '/User/authorize',
								CURLOPT_RETURNTRANSFER 	=> true,
								CURLOPT_ENCODING 		=> '',
								CURLOPT_MAXREDIRS 		=> 4,
								CURLOPT_TIMEOUT 		=> 0,
								CURLOPT_FOLLOWLOCATION 	=> true,
								CURLOPT_HTTP_VERSION 	=> CURL_HTTP_VERSION_1_1,
								CURLOPT_CUSTOMREQUEST 	=> 'POST',
								CURLOPT_POSTFIELDS 		=>'{"username":"' . $tbigr_username . '","password":"' . $tbigr_password . '"}',
								CURLOPT_HTTPHEADER 		=> array(
									'Content-Type: application/json',
									'Ocp-Apim-Subscription-Key: ' . $tbigr_ocp,
									'Ocp-Apim-Trace: true'
								),
							));
							$response_token = curl_exec($curl_token);
							curl_close($curl_token);
							
							$tbigr_token = json_decode($response_token);
							
							if (!empty($tbigr_token->token)){
								$curl_application = curl_init();
								curl_setopt_array($curl_application, array(
									CURLOPT_URL => $tbigr_envurl . '/Application',
									CURLOPT_RETURNTRANSFER => true,
									CURLOPT_ENCODING => '',
									CURLOPT_MAXREDIRS => 4,
									CURLOPT_TIMEOUT => 0,
									CURLOPT_FOLLOWLOCATION => true,
									CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
									CURLOPT_CUSTOMREQUEST => 'POST',
									CURLOPT_POSTFIELDS => $tbigr_encrypt,
									CURLOPT_HTTPHEADER => array(
										'Content-Type: application/json',
										'Ocp-Apim-Subscription-Key: ' . $tbigr_ocp,
										'Ocp-Apim-Trace: true',
										'AuthorizationToken: ' . $tbigr_token->token
									),
								));
								$response_application = curl_exec($curl_application);
								curl_close($curl_application);
								$tbigr_result = json_decode($response_application);
								
								if ($tbigr_result->ErrorCode == null){
									$tbigr_url = $tbigr_result->Url;
									echo '<script>';
									echo 'window.location.href = "' . $tbigr_url . '"';
									echo '</script>';
									//var_dump($tbigr_encrypt);
									//var_dump($tbigr_result);
									//die;
								}
							}
						}
					}else{
						echo $text_problem;
					}
				}
				?>
				<?php echo $content_bottom; ?>
			</div>
			<?php echo $column_right; ?>
		</div>
	</div>
<?php echo $footer; ?>
